import { ClientSideBaseVisitor, ClientSideBasePluginConfig, LoadedFragment } from '@graphql-codegen/visitor-plugin-common';
import { OperationDefinitionNode, GraphQLSchema } from 'graphql';
import { AmplifyAngularRawPluginConfig } from './config';
import { Types } from '@graphql-codegen/plugin-helpers';
export interface AmplifyAngularPluginConfig extends ClientSideBasePluginConfig {
}
export declare class AmplifyAngularVisitor extends ClientSideBaseVisitor<AmplifyAngularRawPluginConfig, AmplifyAngularPluginConfig> {
    private _operationContent;
    constructor(schema: GraphQLSchema, fragments: LoadedFragment[], rawConfig: AmplifyAngularRawPluginConfig, documents?: Types.DocumentFile[]);
    getImports(): string[];
    getContent(): string;
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): string;
}
